<?php

// Pandora - the Free monitoring system
// ====================================
// Copyright (c) 2004-2006 Sancho Lerena, slerena@gmail.com
// Copyright (c) 2005-2006 Artica Soluciones Tecnolgicas S.L, info@artica.es
// Copyright (c) 2004-2006 Raul Mateos Martin, raulofpandora@gmail.com
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


?>
<html>
<head>
<title>Pandora - The Free Monitoring System Help - II. Users</title>
<link rel="stylesheet" href="../../include/styles/pandora.css" type="text/css">
<style>
div.logo {float:left;}
div.toc {padding-left: 200px;}
div.rayah {clear:both; border-top: 1px solid #708090; width: 100%;}
</style>
</head>

<body>
<div class='logo'>
<img src="../../images/logo_menu.gif" alt='logo'><h1>Pandora Help v1.2</h1>
</div>
<div class="toc">
<h1><a href="chap1.php">1. Introduction</a>  <a href="toc.php">Table of Contents</a>  <a href="chap3.php">3. Agents</a></h1>

</div>
<div class="rayah">
<p align='right'>Pandora is a GPL Software Project. &copy; Sancho Lerena 2003-2006, David villanueva 2004-2005, Alex Arnal 2005, Ra&uacute;l Mateos 2004-2006.</p>
</div>

<a name="2"><h1>2. Users</h1></a>

<p>The definition of a user is based on the user
daily activity. One or more profiles can be assigned to a single user</p>

<p>A profile is a list of actions a user can or
cannot perform on a given group, e.g. "view incidents", "database management", etc.</p>

<p>Each user is given a number of groups of agents
he/she has permission to access, as well as the administrative profile he/she will have
in each group. Each user can belong to one or more groups, with an assigned
profile for each of them.</p>

<p>Agent belongs to a group and only one, sharing
the group with agents of similar characteristics. Groups also contain
incidents.</p>

<p>Summarizing: User profiles in Pandora define which users can access Pandora as well as what each user can do. Groups define elements in common among various users. Each user could be in one or more groups at any one time. Each group has user profiles which are defined and attached to it. A profile is a list of things a user can do, such as view incidents, manage database or other.</p>

<h2><a name="21">2.1. Profile manager</a></h2>

<p>Pandora's profile manager is used to assign specific profiles to each user. A hierarchy of users is so created, structured by the user's profile within the company. With this system different security
levels can be implemented: read-only users, agent group coordinators or system administrators.</p>

<p>A profile is created from the Profile Manager tool in the Administration menu. There are five predefined profiles:</p>

<ul>
<li>Operator (Read)</li>
<li>Operator (Write)</li>
<li>Chief Operator</li>
<li>Group coordinator</li>
<li>Pandora Administrator</li>
</ul>

<p>To create a new profile click on "Manage Profiles"&gt;"Create Profile" in the Administration Menu</p>

<p class="center"><img src="images/image002.png"></p>

<p>Any of the following roles can be assigned to a new profile:</p>

<ul>
<li>View incidents (IR)</li>
<li>Edit incidents (IW)</li>
<li>Manage incidents (IM)</li>
<li>View agents (AR). To view agents as well as the events generated by them</li>
<li>Edit agents (AW). To modify then agent's modules</li>
<li>Edit alerts (LW). To modify the alerts assigned to an agent</li>
<li>Manage users (UM). To modify users and their roles</li>
<li>Manage DB (DM). To modify the configuration and data of the database (Global)</li>
<li>Manage alerts (LM). To define new alerts (Global)</li>
<li>Manage Pandora (PM). To modify general system settings</li>
</ul>

<h2><a name="22">2.2. Adding a user</a></h2>

<p>A user is added clicking on "Manage Users"&gt;"Create user" in the Administration Menu</p>

<p>To create a new user it is necessary to, at
least, fill in the user ID, the password (twice) and Pandora's global profile.</p>

<p>A global profile for a user maybe Administrator or Standard User.</p>

<p>A user with an "Administrator" profile will have the highest security privileges in Pandora.</p>

<p class="center"><img src="images/image003.png"></p>

<p>Profiles must be assigned for each of the groups a new "standard" profile user can access, once the user is created and his configuration updated.</p>

<p class="center"><img src="images/image004.png"></p>

<p>A user profile is deleted by clicking on the delete icon <img src="../../images/cancel.gif">on the right hand side of the profile.</p>

<h2><a name="23">2.3. Deleting a user</a></h2>

<p>A user is deleted by clicking on the delete icon <img src="../../images/cancel.gif">on the right hand side of the user. The list of users is accessed through the "Manage Users" option in the Administration menu.</p>

<p class="center"><img src="images/image005.png"></p>

<h2><a name="24">2.4. Statistics</a></h2>

<p>The user activity statistics show a graph with the activity of the user, being the number of events the audit has generated for each user. The number of events of
a user usually reflects the user's activity.</p>

<p>Click on "View Users"&gt;"Statistics" in the Operation menu to show this graph:</p>

<p class="center"><img src="images/image006.png"></p>

<h2><a name="25">2.5. Messages to users</a></h2>

<p>To create a new message to other user, go to "Messages" section in the Operation menu. You can also read the received messages, but the sent messages are not stored.</p>

<h3><a name="251">2.5.1. Messages to groups</a></h3>
<p>From "Messages"&gt;"Messages to groups" section in the Operation menu you can send messages to groups of users. The sent messages will not be stored.</p>

</body>
</html>